org.keycloak.models.map.realm.entity

## Class MapClientInitialAccessEntity

- java.lang.Object
- - org.keycloak.models.map.realm.entity.MapClientInitialAccessEntity

- All Implemented Interfaces:
    UpdatableEntity

      public class MapClientInitialAccessEntity
      extends Object
      implements UpdatableEntity

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapClientInitialAccessEntity` | `createEntity(int expiration, int count)`
    `boolean` | `equals(Object obj)`
    `Integer` | `getCount()`
    `Integer` | `getExpiration()`
    `String` | `getId()`
    `Integer` | `getRemainingCount()`
    `Integer` | `getTimestamp()`
    `int` | `hashCode()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setCount(int count)`
    `void` | `setExpiration(int expiration)`
    `void` | `setId(String id)`
    `void` | `setRemainingCount(int remainingCount)`
    `void` | `setTimestamp(int timestamp)`
    `static ClientInitialAccessModel` | `toModel(MapClientInitialAccessEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createEntity

          public static MapClientInitialAccessEntity createEntity(int expiration,
                                                                  int count)

    - #### toModel

          public static ClientInitialAccessModel toModel(MapClientInitialAccessEntity entity)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getTimestamp

          public Integer getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getExpiration

          public Integer getExpiration()

    - #### setExpiration

          public void setExpiration(int expiration)

    - #### getCount

          public Integer getCount()

    - #### setCount

          public void setCount(int count)

    - #### getRemainingCount

          public Integer getRemainingCount()

    - #### setRemainingCount

          public void setRemainingCount(int remainingCount)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.